## org.eclipse.emf.cdo.ui.widgets
Class SessionComposite

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.emf.cdo.ui.widgets.SessionComposite

All Implemented Interfaces:
  Drawable

    public class SessionComposite

extends Composite

Since:
  2.0

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`SessionComposite(Composite parent, int style)`

Method Summary
`org.eclipse.net4j.util.ui.widgets.PreferenceButton` `getAutomaticButton()`
`org.eclipse.net4j.util.collection.IHistory<java.lang.String>` `getConnectorHistory()`
`org.eclipse.net4j.util.ui.widgets.HistoryText` `getConnectorText()`
`Label` `getExampleLabel()`
`org.eclipse.net4j.util.collection.IHistory<java.lang.String>` `getRepositoryHistory()`
`org.eclipse.net4j.util.ui.widgets.HistoryText` `getRepositoryText()`
`java.lang.String` `getSessionDescription()`
`boolean` `isAutomaticRegistry()`
`void` `rememberSettings()`

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionComposite

    public SessionComposite(Composite parent,
                            int style)

Method Detail

### getConnectorHistory

    public org.eclipse.net4j.util.collection.IHistory<java.lang.String> getConnectorHistory()

### getRepositoryHistory

    public org.eclipse.net4j.util.collection.IHistory<java.lang.String> getRepositoryHistory()

### getConnectorText

    public org.eclipse.net4j.util.ui.widgets.HistoryText getConnectorText()

### getExampleLabel

    public Label getExampleLabel()

### getRepositoryText

    public org.eclipse.net4j.util.ui.widgets.HistoryText getRepositoryText()

### getAutomaticButton

    public org.eclipse.net4j.util.ui.widgets.PreferenceButton getAutomaticButton()

### isAutomaticRegistry

    public boolean isAutomaticRegistry()

### getSessionDescription

    public java.lang.String getSessionDescription()

### rememberSettings

    public void rememberSettings()

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.